Bug 167977 - Review Request: gnome-screensaver
Summary: Review Request: gnome-screensaver
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Greg DeKoenigsberg
QA Contact: David Lawrence
URL: http://ece.uprm.edu/~veguilla/fedora/...
Whiteboard:
Keywords:
Depends On: 167984
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-09-09 22:30 UTC by Ricardo Veguilla
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-14 21:54:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ricardo Veguilla 2005-09-09 22:30:04 UTC
Spec Url: http://ece.uprm.edu/~veguilla/fedora/gnome-screensaver/gnome-screensaver.spec   
SRPM Url: http://ece.uprm.edu/~veguilla/fedora/gnome-screensaver/gnome-screensaver-0.0.12-1.src.rpm   
Description: Gnome-Screensaver is an xscreensaver replacement for the GNOME desktop.

This is my first package submition, looking for sponsor.
The was originally based on an nrpms spec file by Matthew Hall.

Comment 2 Ricardo Veguilla 2005-09-11 01:49:52 UTC
+Provide:xscreensaver-base
-Provide: xscreensaver, xscreensaver-base
-Obsoletes: xscreensaver, xscreensaver-base

Thanks to Jeff Spaleta.

http://ece.uprm.edu/~veguilla/fedora/gnome-screensaver/gnome-screensaver.spec
http://ece.uprm.edu/~veguilla/fedora/gnome-screensaver/gnome-screensaver-0.0.12-3.src.rpm

Comment 3 Ray Strode [halfline] 2005-09-21 20:55:18 UTC
Hi Ricardo,

We're thinking about using gnome-screensaver in Fedora Core sometime in the near
future.  I'll keep you updated on its status.

Comment 4 Brian Pepple 2005-09-21 22:24:08 UTC
Couple of quick things:

1. Instead of patching the .desktop file, run the desktop-file-install.  In
addition, it should be for Fedora not Redhat.  For help, refer to
http://fedoraproject.org/wiki/PackagingGuidelines#head-37131c9c3cb4b69fdb1269f6e91fa9c413d2add1

2. Use the preferred buildroot.  For help, refer to
http://fedoraproject.org/wiki/PackagingGuidelines#head-c2cfbc6be2860c5d2634d06714098e1560667de6

3. Most of your Requires are redundant, since they are pulled in from the
BuildRequires.

Comment 5 Matthias Saou 2005-10-14 15:16:49 UTC
Regarding comment #3, gnome-screensaver has been in FC development for a few
days/weeks now (at 0.0.14 currently). Should this bug be closed, or should it
stay open in order to try and get gnome-screensaver into Extras for FC4?

Matthias

Comment 6 Ray Strode [halfline] 2005-10-14 18:27:38 UTC
I guess it all depends on what Ricardo wants to do

Comment 7 Ricardo Veguilla 2005-10-14 21:54:58 UTC
gnome-screensaver won't work in FC4 (it depends on gtk2 2.8). Closing bug.


Note You need to log in before you can comment on or make changes to this bug.